Get Sync Status
curl --request GET \
--url https://api.example.com/back-office/sync/historical/{connectionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/back-office/sync/historical/{connectionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/back-office/sync/historical/{connectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"connectionId": "<string>",
"jobId": "<string>",
"syncMode": "<string>",
"startedAt": "<string>",
"completedAt": "<string>",
"recordsProcessed": 123,
"recordsSucceeded": 123,
"recordsFailed": 123,
"summary": "<string>",
"dateRangeStart": "<string>",
"dateRangeEnd": "<string>",
"invoiceIds": [
"<string>"
],
"customerIds": [
"<string>"
],
"duration": 123
},
"message": "<string>"
}{
"code": "not_found",
"message": "<string>",
"data": "<unknown>"
}{
"code": "internal_server_error",
"message": "<string>",
"data": "<unknown>"
}Sync
Get Sync Status
GET
/
back-office
/
sync
/
historical
/
{connectionId}
Get Sync Status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Connection ID to check status for
Response
Sync status retrieved successfully
Show child attributes
Show child attributes
Available options:
health_status_ok, health_status_error, validation_error, bad_request, unauthorized, forbidden, not_found, method_not_allowed, internal_server_error, organization_not_found, cannot_access_organization, api_key_not_found, resource_already_exists ⌘I